Index: drivers/scsi/constants.c
===================================================================
--- drivers/scsi/constants.c	(.../trunk/cernlinux)	(revision 17)
+++ drivers/scsi/constants.c	(.../branches/cernlinux/raw_sense_dump)	(revision 17)
@@ -796,7 +796,9 @@
     }
     
  done:
-#if !(CONSTANTS & CONST_SENSE)
+/* Enable raw sense byte printing.
+ * Originally by Fabien Collin. */
+#if (CONSTANTS & CONST_SENSE)
     printk("Raw sense data:");
     for (i = 0; i < s; ++i) 
 	printk("0x%02x ", sense_buffer[i]);
@@ -807,12 +809,14 @@
 
 void print_sense(const char * devclass, Scsi_Cmnd * SCpnt)
 {
+	print_Scsi_Cmnd(SCpnt);
 	print_sense_internal(devclass, SCpnt->sense_buffer,
 			     SCpnt->request.rq_dev);
 }
 
 void print_req_sense(const char * devclass, Scsi_Request * SRpnt)
 {
+	print_Scsi_Cmnd(SRpnt->sr_command);
 	print_sense_internal(devclass, SRpnt->sr_sense_buffer,
 			     SRpnt->sr_request.rq_dev);
 }
